from dataclasses import dataclass
from typing import *

@dataclass
class ZwuOnlineUserInfo:
    user_index: str
    result: str
    message: str
    keepalive_interval: Any
    max_leaving_time: str
    max_flow: Any
    user_name: str
    user_id: str
    user_ip: str
    user_mac: str
    web_gate_port: Any
    web_gate_ip: Any
    service: str
    real_service_name: str
    ap_mac: Any
    vlan_id: Any
    ssid: Any
    account_info: Any
    login_type: str
    utrust_url: str
    user_url: str
    pub_message: Any
    user_group: str
    account_fee: str
    wlan_ac_name: Any
    has_mab_info: bool
    is_alow_mab: bool
    user_package: str
    self_url: str
    ball_info: str
    ball_is_display: str
    notify: str
    resource: str
    offlineurl: str
    redirect_url: str
    announcement: str
    user_notice: str
    system_notice: str
    portal_ip: str
    portal_url: str
    rghall_url: str
    welcome_tip: str
    service_list: str
    is_success_service: str
    is_close_win_allowed: str
    check_user_logout: str
    sam_edition: str
    is_faq: str
    pc_client: str
    pc_client_url: str
    phone_client: str
    is_auto_login: str
    domian_name: str
    net_flow_key: Any
    errorflowurl: str
    is_error_msg: str
    success_url: str
    mab_info: str
    mab_info_max_count: int
    logout_button: str
    is_from_sso: str
    cas_logout_url: Any
    portal_logout_and_source_id_logout: str

    def __init__(self, data: dict | None):
        if data == None:
            return None
        self.user_index = data.get("user_index")
        self.result = data.get("result")
        self.message = data.get("message")
        self.keepalive_interval = data.get("keepalive_interval")
        self.max_leaving_time = data.get("max_leaving_time")
        self.max_flow = data.get("max_flow")
        self.user_name = data.get("user_name")
        self.user_id = data.get("user_id")
        self.user_ip = data.get("user_ip")
        self.user_mac = data.get("user_mac")
        self.web_gate_port = data.get("web_gate_port")
        self.web_gate_ip = data.get("web_gate_ip")
        self.service = data.get("service")
        self.real_service_name = data.get("real_service_name")
        self.ap_mac = data.get("ap_mac")
        self.vlan_id = data.get("vlan_id")
        self.ssid = data.get("ssid")
        self.account_info = data.get("account_info")
        self.login_type = data.get("login_type")
        self.utrust_url = data.get("utrust_url")
        self.user_url = data.get("user_url")
        self.pub_message = data.get("pub_message")
        self.user_group = data.get("user_group")
        self.account_fee = data.get("account_fee")
        self.wlan_ac_name = data.get("wlan_ac_name")
        self.has_mab_info = data.get("has_mab_info")
        self.is_alow_mab = data.get("is_alow_mab")
        self.user_package = data.get("user_package")
        self.self_url = data.get("self_url")
        self.ball_info = data.get("ball_info")
        self.ball_is_display = data.get("ball_is_display")
        self.notify = data.get("notify")
        self.resource = data.get("resource")
        self.offlineurl = data.get("offlineurl")
        self.redirect_url = data.get("redirect_url")
        self.announcement = data.get("announcement")
        self.user_notice = data.get("user_notice")
        self.system_notice = data.get("system_notice")
        self.portal_ip = data.get("portal_ip")
        self.portal_url = data.get("portal_url")
        self.rghall_url = data.get("rghall_url")
        self.welcome_tip = data.get("welcome_tip")
        self.service_list = data.get("service_list")
        self.is_success_service = data.get("is_success_service")
        self.is_close_win_allowed = data.get("is_close_win_allowed")
        self.check_user_logout = data.get("check_user_logout")
        self.sam_edition = data.get("sam_edition")
        self.is_faq = data.get("is_faq")
        self.pc_client = data.get("pc_client")
        self.pc_client_url = data.get("pc_client_url")
        self.phone_client = data.get("phone_client")
        self.is_auto_login = data.get("is_auto_login")
        self.domian_name = data.get("domian_name")
        self.net_flow_key = data.get("net_flow_key")
        self.errorflowurl = data.get("errorflowurl")
        self.is_error_msg = data.get("is_error_msg")
        self.success_url = data.get("success_url")
        self.mab_info = data.get("mab_info")
        self.mab_info_max_count = data.get("mab_info_max_count")
        self.logout_button = data.get("logout_button")
        self.is_from_sso = data.get("is_from_sso")
        self.cas_logout_url = data.get("cas_logout_url")
        self.portal_logout_and_source_id_logout = data.get("portal_logout_and_source_id_logout")




